> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.release.md).

# Dataset.release

### Dataset.<mark style="color:purple;">release</mark>(\*, release\_notes=None) → self

Release the `next` version on the dataset, setting it to the new current version.

### **Parameters:**

**`release_notes` :&#x20;*****str, default None***\
Release notes for the version, up to 5000 characters.

### **Returns:**&#x20;

**self (a** [**Dataset**](/api/client-libraries/redivis-python/reference/dataset.md)**)**

### Examples:

{% tabs %}
{% tab title="Create and release a version" %}

```python
dataset = redivis.user("my_username").dataset("My dataset")
dataset = dataset.create_next_version()

upload = dataset.table("My table").upload("data.csv")

# We can upload new data to existing tables once we have a "next" version
with open("data.csv", "rb") as file:
    upload.upload_file(file)
    
dataset.release(release_notes="Automated release on ...")
```

{% endtab %}

{% tab title="Release a pending version" %}

```python
dataset = redivis.user("my_username").dataset("My dataset", version="next")

dataset.release()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.release.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
